Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025705Runner[All Projects] FunctionsPublic2017-02-17 19:232017-03-17 11:16
ReporterYellowAfterlife 
Assigned ToRussell Kay 
PriorityVery LowSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformWindowsOSWindows 8OS Version8.1
Summary0025705: [Windows] Functions: filename_ functions are unaware of regular slashes existing.
Description
var s = "one\two\three/file.ext";
show_debug_message(filename_path(s));
show_debug_message(filename_dir(s));
show_debug_message(filename_name(s));

Displays
one\two\
one\two
three/file.ext

which is mildly inconvenient, considering that non-backslashes are perfectly valid on Windows, and people use them frequently.
Additional InformationHaven't tested other platforms except HTML5, on which the function is not even implemented (for what reason? It's a string operation)

I'll just do filename_*(string_replace_all(path, "/", "\")) for time being I guess.
1.4 Version7.7.1394
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon a_bug.gmz [^] (119,099 bytes) 2017-02-17 19:23

- Relationships

-  Notes
(0051683)
Russell Kay (Manager)
2017-02-20 16:21

Fixed in gitlab - 6366a49 -
(0052272)
Ross Manthorp (Administrator)
2017-03-17 11:15

Verified. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker